%define anolis_release 2

Name:     qt5
Version:  5.15.8
Release:  %{anolis_release}%{?dist}
Summary:  Qt5 meta package
License:  GPLv3
URL:      https://github.com/qt/qt5
Source0:  macros.qt5
Source1:  macros.qt5-srpm
Source2:  qmake-qt5.sh

BuildArch: noarch

Requires: qt5-qdbusviewer qt5-qt3d qt5-qtconnectivity qt5-qtdeclarative
Requires: qt5-qtbase qt5-qtbase-gui qt5-qtbase-mysql qt5-qtbase-postgresql
Requires: qt5-qtmultimedia qt5-qtquickcontrols qt5-qtquickcontrols2
Requires: qt5-qtscript qt5-qtsensors qt5-qtserialport qt5-qtsvg
Requires: qt5-qttools qt5-qtwayland qt5-qtwebchannel qt5-qtlocation
Requires: qt5-qtwebsockets qt5-qtx11extras qt5-qtxmlpatterns
Requires: qt5-qtdoc qt5-qtgraphicaleffects qt5-qtimageformats

%description
Qt is a cross-platform software development framework that allows developers to create applications 
for desktop and mobile platforms. It provides a set of tools and libraries for developing graphical 
user interfaces (GUIs), network programming, database access, and more1. The Qt Company has 
acquired Axivion GmbH to further strengthen its market-leading offering in quality assurance

%package devel
Summary: Qt5 meta devel package

Requires: qt5-rpm-macros qt5-qttools-static qt5-qtdeclarative-static qt5-qtbase-static
Requires: qt5-designer qt5-qdoc qt5-qhelpgenerator qt5-linguist
Requires: pkgconfig(Qt5WebSockets) pkgconfig(Qt5X11Extras) pkgconfig(Qt5XmlPatterns) pkgconfig(Qt5Svg)
Requires: pkgconfig(Qt5Multimedia) pkgconfig(Qt5Script) pkgconfig(Qt5Sensors) pkgconfig(Qt5SerialPort)
Requires: qt5-qttools-devel qt5-qtwayland-devel qt5-qtwebchannel-devel qt5-qt3d-devel qt5-qtlocation-devel
Requires: qt5-qtbase-devel qt5-qtconnectivity-devel qt5-qtdeclarative-devel

%description devel
Development files for %{name}

%package rpm-macros
Summary: RPM macros for building Qt5 and KDE Frameworks 5 packages

Conflicts: qt5-qtbase-devel < 5.6.0-0.23
Requires: gcc-c++ cmake >= 3

%description rpm-macros
RPM provides a rich set of macros to make package maintenance simpler and consistent across packages.

%package srpm-macros
Summary: RPM macros for source Qt5 packages

%description srpm-macros
RPM RPM provides a rich set of macros for source Qt5 packages

%prep

%install
install -Dpm644 %{SOURCE0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5
install -Dpm644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5-srpm
install -Dpm755 %{SOURCE2} %{buildroot}%{_bindir}/qmake-qt5.sh
mkdir -p %{buildroot}%{_datadir}/qt5/wrappers
ln -s %{_bindir}/qmake-qt5.sh %{buildroot}%{_datadir}/qt5/wrappers/qmake
ln -s %{_bindir}/qmake-qt5.sh %{buildroot}%{_datadir}/qt5/wrappers/qmake-qt5

sed -i \
  -e "s|@@QT5_CFLAGS@@|%{?qt5_cflags}|g" \
  -e "s|@@QT5_CXXFLAGS@@|%{?qt5_cxxflags}|g" \
  -e "s|@@QT5_RPM_LD_FLAGS@@|%{?qt5_rpm_ld_flags}|g" \
  -e "s|@@QT5_RPM_OPT_FLAGS@@|%{?qt5_rpm_opt_flags}|g" \
  -e "s|@@QMAKE_QT5_WRAPPER@@|%{_bindir}/qmake-qt5.sh|g" \
  %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5

mkdir -p %{buildroot}%{_docdir}/qt5
mkdir -p %{buildroot}%{_docdir}/qt5-devel
echo "- Qt5 meta package" > %{buildroot}%{_docdir}/qt5/README
echo "- Qt5 devel meta package" > %{buildroot}%{_docdir}/qt5-devel/README

%files
%{_docdir}/qt5/README

%files devel
%{_docdir}/qt5-devel/README

%files rpm-macros
%{_bindir}/qmake-qt5.sh
%{_rpmconfigdir}/macros.d/macros.qt5
%{_datadir}/qt5/wrappers/

%files srpm-macros
%{_rpmconfigdir}/macros.d/macros.qt5-srpm

%changelog
* Wed Apr 12 2023 yuanhui <yuanhui@linux.alibaba.com> 5.15.8-2
- Optimize the spec file

* Mon Jan 16 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- New version 5.15.8

* Mon Dec 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.15.7-4
- fix _qt5_qmake definition

* Fri Dec 9 2022 Funda Wang <fundawang@yeah.net> - 5.15.7-3
- Redefine qmake binary depending on buildarch

* Thu Dec 8 2022 Funda Wang <fundawang@yeah.net> - 5.15.7-2
- Fix qmake path when building noarch packages

* Wed Dec 7 2022 Funda Wang <fundawang@yeah.net> - 5.15.7-1
- bump to 5.15.7

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.15.5-1
- Init from upstream version 5.15.5
